//------------------------------------------------------------------------------
// <auto-generated>
// This code was generated by a tool.
// </auto-generated>
//------------------------------------------------------------------------------
using UnityEngine;
using System.Collections;

/// <summary>
/// Generates a safe wrapper for GameLauncherView.
/// </summary>
public class GameLauncherView : MonoBehaviour
{
    public UITexture LogoTexture_UITexture;
    public UITexture InitBgTexture_UITexture;
    public UILabel tipsLbl;
    public UILabel VersionLabel_UILabel;
	public UIButton reset_UIBtn;

    public void Setup(Transform root)
    {
        LogoTexture_UITexture = root.Find("LogoTexture").GetComponent<UITexture>();
        InitBgTexture_UITexture = root.Find("InitBgTexture").GetComponent<UITexture>();
        tipsLbl = root.Find("Panel/tipsLbl").GetComponent<UILabel>();
        VersionLabel_UILabel = root.Find("TopRightAnchor/VersionLabel").GetComponent<UILabel>();
		reset_UIBtn = root.Find("TopRightAnchor/resetBtn").GetComponent<UIButton>();

		EventDelegate.Set(reset_UIBtn.onClick, FUNCTAG_OnResetButton);
    }

	private void FUNCTAG_OnResetButton()
	{
		BuiltInDialogueViewController.FUNCTAG_OpenView("Game version update failed, cannot login the game, please repair your game.",
		() =>
		{
			AssetPipeline.AssetUpdate.Instance.CleanUpBundleResFolder();
			AssetPipeline.AssetUpdate.Instance.CleanUpDllFolder();
			PlatformAPI.RestartGame();
		},
		() =>
		{

		}, UIWidget.Pivot.Left, "Repair", "Cancel");
	}

}
